No se encontraron resources que coincidan con el nombre de stack: attr 'fabSize'.compile sdk versión es 24

He comenzado el "Curso FireBase Essential Udacity" para download el código de git. Estoy usando la versión sdk de la compilation de Android Studio en la cuadrícula de la compilation también está actualizada la versión 24, pero todavía vienen estos errores.

Error: (1530, 21) No se encontró ningún recurso que coincida con el nombre de stack: attr 'fabSize'. Error: (1531, 21) No se encontró ningún recurso que coincida con el nombre de stack: attr 'rippleColor'. Error: (1530, 21) No se encontró ningún recurso que coincida con el nombre de stack: attr 'fabSize'. Error: (1531, 21) No se encontró ningún recurso que coincida con el nombre de stack: attr 'rippleColor'.

build.gradle (Módulo: aplicación)

apply plugin: 'com.android.application' android { compileSdkVersion 24 buildToolsVersion "24.0.3" defaultConfig { applicationId "com.example.zar.shoppingfirebase" minSdkVersion 22 targetSdkVersion 24 versionCode 1 versionName "1.0" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', { exclude group: 'com.android.support', module: 'support-annotations' }) compile 'com.android.support:appcompat-v7:24.2.1' compile 'com.android.support:support-v4:24.2.1' compile 'com.firebase:firebase-client-android:2.4.0' compile 'com.google.android.gms:play-services-safetynet:10.0.1' compile 'com.google.android.gms:play-services-auth:10.0.1' compile 'com.google.firebase:firebase-database:10.0.1' testCompile 'junit:junit:4.12' } apply plugin: 'com.google.gms.google-services' 

Android Sdk enter image description here

enter image description here

Intenta agregar esta línea en tu file gradle y comstack

 compile 'com.android.support:design:24.0.0' 

Parece que está utilizando el button de acción flotante pero no ha agregado una biblioteca de layout.